Package be.ehealth.technicalconnector.service.sso.impl

# Class SingleSignOnServiceImpl

java.lang.Object
be.ehealth.technicalconnector.session.AbstractSessionServiceWithCache
be.ehealth.technicalconnector.service.sso.impl.SingleSignOnServiceImpl

All Implemented Interfaces:
  `SingleSignOnService`, `SessionServiceWithCache`

public class SingleSignOnServiceImpl extends AbstractSessionServiceWithCache implements SingleSignOnService
Implementation fo the `SingleSignOnService`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROP_DEFAULT_BROWSER_HANDLER`
  `static final String`
  `PROP_ENDPOINT_IDP_SAML2_ARTIFACT`
  Property to specify the endpoint of the eHealth IDP thats supports SAML2 Artifact.
  `static final String`
  `PROP_ENDPOINT_IDP_SAML2_POST`
  Property to specify the endpoint of the eHealth IDP thats supports SAML2 POST.
  `static final String`
  `PROP_ENDPOINT_STS_SSO`
  Property to specify the endpoint of the eHealth SecureTokenService for obtaining a SingleSingOn SAMLToken.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleSignOnServiceImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setHandler(BrowserHandler handler)`
  `void`
  `signin(SsoProfile profile)`
  `void`
  `signin(SsoProfile profile, String relayState)`

  ### Methods inherited from class be.ehealth.technicalconnector.session.AbstractSessionServiceWithCache

  `flushCache`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROP_ENDPOINT_STS_SSO

    public static final String PROP_ENDPOINT_STS_SSO
    Property to specify the endpoint of the eHealth SecureTokenService for obtaining a SingleSingOn SAMLToken.
    See Also:
      - Constant Field Values

  - ### PROP_ENDPOINT_IDP_SAML2_POST

    public static final String PROP_ENDPOINT_IDP_SAML2_POST
    Property to specify the endpoint of the eHealth IDP thats supports SAML2 POST.
    See Also:
      - Constant Field Values

  - ### PROP_ENDPOINT_IDP_SAML2_ARTIFACT

    public static final String PROP_ENDPOINT_IDP_SAML2_ARTIFACT
    Property to specify the endpoint of the eHealth IDP thats supports SAML2 Artifact.
    See Also:
      - Constant Field Values

  - ### PROP_DEFAULT_BROWSER_HANDLER

    public static final String PROP_DEFAULT_BROWSER_HANDLER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SingleSignOnServiceImpl

    public SingleSignOnServiceImpl()

- ## Method Details

  - ### signin

    public void signin(SsoProfile profile) throws TechnicalConnectorException
    Specified by:
      `signin` in interface `SingleSignOnService`
    Throws:
      `TechnicalConnectorException`

  - ### setHandler

    public void setHandler(BrowserHandler handler)
    Specified by:
      `setHandler` in interface `SingleSignOnService`

  - ### signin

    public void signin(SsoProfile profile, String relayState) throws TechnicalConnectorException
    Specified by:
      `signin` in interface `SingleSignOnService`
    Throws:
      `TechnicalConnectorException`